#! /usr/bin/perl

$NSTEPS = 32;
$RMIN = 0.1;
$RMAX = 0.5;
$NDOTS = 15;
$THETAMAX = 3.14159;

printf "#! /usr/bin/env partiview

# Generated by mksnake.pl

datavar 0 lum
datavar 1 color

eval lum lum %d 0
eval color color

eval slum 1000

eval speed 8


", $NDOTS+2;



for($time = 0; $time <= $NSTEPS; $time++) {
    $tfrac = $time / $NSTEPS;

    printf "\n";
    printf "datatime %d\n", $time;

    for($i = 0; $i < $NDOTS; $i++) {
	$r = $RMIN + ($RMAX-$RMIN) * $i/$NDOTS;

	$theta = $tfrac * $THETAMAX * sqrt($RMAX / $r);

	printf "%g %g %g	%d %g\n", $r*cos($theta), $r*sin($theta), 0, $i, $theta;
    }
}
