#! /usr/bin/perl

$N = 12700;
$dt = 2;
$outdir = "/tmp";
$outhr = "clu8hr.%04d.jpeg";
$outstar = "clu8.%04d.jpeg";

if(-t STDOUT) {
    ($me = $0) =~ s'.*/'';
    print STDERR "Usage:
  (in partiview command box, after loading clu8s.cf)
	async $me 
	    (to record HR diagram view images to $outdir/$outhr)
	async $me -
	    (to record star-cluster images to $outdir/$outstar)
Or, in a shell:
    $me  > record-hr.cf
    $me - > record-cluster.cf
and then in partiview after loading clu8s.cf,
    read record-hr.cf
    read record-cluster.cf
";
    exit(1);
}

	# If writing to file which will be read later with 'read somefile', use "eval" prefix.
	# If writing to non-file, assume it's a pipe to partiview via "async" command.  We don't want "eval" in that case.
$prefix = (-f STDOUT) ? "" : "eval";

if(@ARGV == 0) {
    print "$prefix warp on\n";
    #print "$prefix jump 2.67544 5.33962 -120.846  4.61746 158.67 -0.19294\n";
    #print "$prefix jump -3.31052 -1.0848 -139.112  1.78763 160.816 -0.598186\n";
    #print "$prefix jump -7.20772 16.8229 -141.282  0 160 0\n";
    print "$prefix jump -1.83392 5.09448 -141.791  5.7929 158.746 0.0643921\n";
    print "$prefix bgcolor .001\n";
    for($i = 0; $i < $N; $i += $dt) {
	print "$prefix step $i\n";
	print "$prefix jump - - - - - -\n";
	print "$prefix update\n";
	print "$prefix snapshot -n $i $outdir/$outhr\n";
    }
} else {
    print "$prefix warp off\n";
    print "$prefix jump 3.35474 3.43099 -102.872  -0.221103 -169.022 -0.0646161\n";
    print "$prefix bgcolor 0\n";
    for($i = 0; $i < $N; $i += $dt) {
	print "$prefix step $i\n";
	print "$prefix jump - - - - - -\n";
	print "$prefix update\n";
	print "$prefix snapshot -n $i $outdir/$outstar\n";
    }
}
