#! /bin/sh
STARSZ="m 6 4 3 2 1.5 1.2 .7"
GALOPTS="-e ./data.ecl/ecl.starrc"
PATH=.:$PATH

(eclcurve.pl -ez; eclcurve.pl -gz) > data.ecl/equatorial+galactic.star

for f in boundaries.star cnames.star equ.starrc neb.star pattern.star yale.star
do  eq2ecl.pl  data.equ/$f > data.ecl/$f
done

starpost -g 3.5 -l 1.5 -m 5 -x 1 15 -b -a l -a "$STARSZ" $GALOPTS -t "Vernal Equinox" -r 0 -d 0 -s 120 -p rectangular | fixpslabels -ecl > ecl/ecl1.ps
starpost -g 3.5 -l 1.5 -m 5 -x 1 15  -b -a l -a "$STARSZ" $GALOPTS -t "Summer/Autumn" -r 8 -d 0 -s 120 -p rectangular | fixpslabels -ecl > ecl/ecl2.ps
starpost -g 3.5 -l 1.5 -m 5 -x 1 15  -b -a l -a "$STARSZ" $GALOPTS -t "Winter" -r 16 -d 0 -s 120 -p rectangular | fixpslabels -ecl > ecl/ecl3.ps
starpost -g 3.5 -l 1.5 -m 5 -x 1 15  -a "$STARSZ" $GALOPTS -t "Ecliptic North" -r 0 -d 90 -s 70 -p stereographic | fixpslabels -ecl > ecl/ngp.ps
starpost -g 3.5 -l 1.5 -m 5 -x 1 15 -a "$STARSZ" $GALOPTS -t "Ecliptic South" -r 0 -d -90 -s 70 -p stereographic | fixpslabels -ecl > ecl/sgp.ps
